// ARDUIPROJ_04_test (simulateur sur moniteur série)
/* Auteur: Brock Craft 
 * Chenillard (The All-Seeing Eye)
 *
 * v0.3 02.02.2015
 * Version FR par OE 160619
*/

// Pause avant de changer de LED
int delai = 40; 

// Indice dans le tableau de la LED en cours
int LEDcourante = 0;

// Moment de debut de dernier allumage 
unsigned long heureModif = 0;

// Sens montant ou descendant du chenillard
int sens = 1;

// Tableau d'octets pour les numeros des broches de LED
byte brocheLED[] = {4, 5, 6, 7, 8, 9, 10, 11, 12, 13};

long tourvide = 0; // OE

void setup() {
  // Configure toutes les broches en mode sortie (OUTPUT)
  for (int x=0; x<10; x++) {
    pinMode(brocheLED[x], OUTPUT); 
  }
 // Premiere prise de repere temporel
  heureModif = millis();
  Serial.begin(19200);  //OE
}

void loop() {
  // Si temps maxi d'allumage atteint :
  if ((millis() - heureModif) > delai) {
    Serial.print("   Tours d'attente = ");
    Serial.println(tourvide);
    tourvide = 0;  // OE
    Serial.println(" ");
    Serial.print("On eteint la LED ");
    Serial.println(brocheLED[LEDcourante]);
    //digitalWrite(brocheLED[LEDcourante], LOW);

    // On passe à la LED suivante/precedente
    LEDcourante += sens;
    // On repart dans l'autre sens ?
    if (LEDcourante == 9) { sens = -1; }
    if (LEDcourante == 0) { sens =  1; }

    //for (int x=0; x<10; x++) {
    //  digitalWrite(brocheLED[x], LOW);
    //}

    // digitalWrite(brocheLED[LEDcourante], HIGH);
    Serial.print("On allume la LED ");
    Serial.println(brocheLED[LEDcourante]);

  // Nouvelle prise de repere temporel d'allumage
  heureModif = millis();
  }
  else {
        tourvide++;
  }
}


